import { html as a } from "lit";
import { property as n } from "lit/decorators.js";
import { PieIconComponent as u } from "./PieIconComponent.js";
import { safeCustomElement as f } from "@justeattakeaway/pie-webc-core";
var h = Object.defineProperty, m = Object.getOwnPropertyDescriptor, p = (c, t, s, r) => {
  for (var e = r > 1 ? void 0 : r ? m(t, s) : t, l = c.length - 1, i; l >= 0; l--)
    (i = c[l]) && (e = (r ? i(t, s, e) : i(e)) || e);
  return r && e && h(t, s, e), e;
};
let o = class extends u {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--luxembourg", this.class = "c-pieIcon c-pieIcon--luxembourg", this.name = "IconFlagLuxembourg";
  }
  render() {
    return a`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--luxembourg"><path fill="#eee" d="M8 15A7 7 0 1 0 8 1a7 7 0 0 0 0 14"></path><path fill="#d80027" d="M8 1a7 7 0 0 0-6.562 4.566h13.125A7 7 0 0 0 8 1"></path><path fill="#338af3" d="M8 15a7 7 0 0 0 6.563-4.566H1.438A7 7 0 0 0 8 15"></path></svg>`;
  }
};
p([
  n({ type: String, reflect: !0 })
], o.prototype, "size", 2);
p([
  n({ type: String, reflect: !0 })
], o.prototype, "class", 2);
o = p([
  f("icon-flag-luxembourg")
], o);
export {
  o as IconFlagLuxembourg
};
